PositionList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class PositionList

    java.lang.Object
      com.fenalco.entities.PositionList

    public class PositionList

extends java.lang.Object

Author:
  Juan Ernesto Peña Kaltekis

Field Summary
`private java.util.Vector` | `positions` Este `Vector` agrupa los objetos del tipo `Position` que conforman el listado, está diseñado de la siguiente forma: key: id del código Position`positionId` value: Objeto del tipo `Position`

Constructor Summary
`PositionList()` Constructor por defecto de la clase

Method Summary
`java.util.Vector` | `getPositions()` Consultor para el atributo positions.
`boolean` | `loadData()` Este método carga de base de datos todos los registros de la tabla position en el atributo sections.
`void` | `setPositions(java.util.Vector positions)` Modificador para el atributo positions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### positions

    private java.util.Vector positions

  Este `Vector` agrupa los objetos del tipo `Position` que conforman el listado, está diseñado de la siguiente forma: key: id del código Position`positionId` value: Objeto del tipo `Position`

Constructor Detail

### PositionList

    public PositionList()

  Constructor por defecto de la clase

Method Detail

### loadData

    public boolean loadData()

  Este método carga de base de datos todos los registros de la tabla position en el atributo sections.

### getPositions

    public java.util.Vector getPositions()

  Consultor para el atributo positions.

  Returns:
    Valor del atributo positions.

### setPositions

    public void setPositions(java.util.Vector positions)

  Modificador para el atributo positions.

  Parameters:
    `sections` - Nuevo valor del atributo positions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD